window.addEventListener('DOMContentLoaded', function() {
	'use strict';
     var listadoid="";     
     var numphone=document.getElementById('numphone');
     var telcelular=document.getElementById('telcelular');
	 var telfijo=document.getElementById('telfijo');
	 var llamaAhora=document.getElementById('llamaAhora');
	 var llamaen5=document.getElementById('llamaen5');	 
	 var requestLlamaGratis=null;

	 

	var retorna = document.querySelector('a[name="retorna"]');	
	 retorna.addEventListener('click', function(e) 
	 {
	     e.preventDefault();
	  //   enviarMail();
	  window.history.go(-1);
  	 }, false);

  	 var loc = document.location.href;
	   var getString = loc.split('?')[1];
	   var GET = getString.split('&');
	   var get = {};

	   for(var i = 0, l = GET.length; i < l; i++){
	      var tmp = GET[i].split('=');
	      get[tmp[0]] = unescape(decodeURI(tmp[1]));
	   }
	  listadoid=get.listadoid;
	 

var btnllamarahora = document.querySelector('a[name="btnllamarahora"]');	
	btnllamarahora.addEventListener('click', function(e) 
	 {
	  e.preventDefault();
	  var clavelada="";
	  var delay="";
	  var telc= telcelular.checked;
	  var telf=telfijo.checked;
	   var recibeahora= llamaAhora.checked;
	  var recibe5min=llamaen5.checked;
	  if(telc==true)
	  {
		clavelada="+521";
	  }
	  else if(telf==true)
	  {
		clavelada="+52";
	  }

	  if(recibeahora==true)
	  {
	  	delay="0";
	  }
	  else if(recibe5min==true)
	  {
		delay="5";
	  }

	  if(numphone.value!="")
	  {
	  	var number=numphone.value;
	  	if(validaTelefono(number))
	  	{
	  		if(number.length>7 && number.length<11)
	  		{
	  			var telefonoLada=clavelada+number;
	  			//telefonoLada=clavelada+"text";
	  			enviarLlamar(listadoid, telefonoLada, delay);
	  		}
	  		else
	  		{
	  			alert('Número telefónico no valido.');
	  			numphone.focus();
	  		}
	  	}
	  	else
	  	{
			alert('Número telefónico no valido.');
			numphone.value="";
			numphone.focus();
	  	}
	  }
	  else
	  {
		alert('Escribe un número telefónico.');
		numphone.focus();
	  }
		
	  
  	 }, false);

	function validaTelefono(phone)
	{
		var resultado=false;
		try
		{
			resultado=!isNaN(parseInt(phone))			
		}
		catch(e)
		{
			resultado=false;
		}
		return resultado;
	}



	function enviarLlamar(listadoid, telefonoLada, delay){

		
			var urlLlamagratis=serverClickToCall(listadoid, telefonoLada, delay);
			if(requestLlamaGratis && requestLlamaGratis.abort) {
					requestLlamaGratis.abort();
				}
			 requestLlamaGratis = new XMLHttpRequest({ mozSystem: true });
			 requestLlamaGratis.open('get', urlLlamagratis, true);
			 requestLlamaGratis.responseType = 'text';
			 requestLlamaGratis.addEventListener('error', onRequestError);
			 requestLlamaGratis.addEventListener('load', onRequestLlamaGratis);
			 requestLlamaGratis.send();
	}

	function onRequestError() 
	{
			 
  	}

	function onRequestLlamaGratis() {
		
		var xmltext = requestLlamaGratis.response;
		if(xmltext.indexOf("200") > -1)
		{
			alert('te estamos conectando con');
		}
		else if(xmltext.indexOf("204") > -1)
		{
			alert('hemos tenido una falla al tratar de conectarte con');
		}
		else
		{
			alert('hemos intentado conectarte con');
		}
	
	}

	



});